package com.yonge.cooleshow.auth.service;

import java.util.List;

import com.yonge.cooleshow.auth.api.entity.SysUserDevice;
import com.yonge.toolset.mybatis.service.BaseService;

public interface SysUserDeviceService extends BaseService<Long, SysUserDevice> {

	List<SysUserDevice> queryByUserId(String clientId, Long userId);

	List<SysUserDevice> queryByDeviceNum(String clientId, String deviceNum);

	/**
	 * 绑定设备号
	 * @param clientId
	 * @param userId
	 * @param deviceNum
	 * @return
	 */
	boolean bindDevice(String clientId, Long userId, String deviceNum);

	/**
	 * 删除
	 * @param id
	 * @return
	 */
	boolean deleteWithLogic(Long id);
}